POST
/hotelmaprequestCreate Hotel Map Request
This method enables users to add a new hotel to the ReviewsAPI database if it is not already listed. Users can provide details such as the hotel name, address, geographic coordinates, and optionally include reference URLs or preferred website codes to assist with mapping. A unique requestid is automatically generated for each mapping request.
POST
/hotelmaprequestMandatory Fields
- hotelName
- address
- city
- state
- country
- zip
Status Codes
- 1 - Queued
- 2 - Work in progress
- 3 - Completed
- 4 - Hotel exists
- 5 - Feasibility failed
- 6 - Source unavailable
Parameter Details
| Name | In | Type | Required | Description |
|---|---|---|---|---|
body | body | Required | none |
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Created | |
| 400 | Bad Request | Bad request | None |
| 401 | Unauthorized | Authorization Failed | None |
| 429 | Too Many Requests | Too Many Requests | None |
| 500 | Internal Server Error | Internal Server Error | None |
Example Request
# You can also use wget
curl -X POST /hotelmaprequest \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: API_KEY'Body parameter
{
"hotelName": "",
"address": "",
"city": "",
"state": "",
"country": "",
"zip": "",
"latitude": 0,
"longitude": 0,
"url": [
"string"
],
"websiteCodes": [
0
]
}Example responses
201 Response
{
"requestId": 0,
"referenceHotelCodes": [
0
],
"statusCode": 1,
"statusMsg": "string",
"approximateTime": "2025-05-06",
"createdDate": "2024-04-30T08:10:49.835Z"
}Need Support?
Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.